Subject: [bug report] Signing your work: GnuPG signing failed (gpg version 2.1)

From: Hugo Roy <[email-masked]>
Date: Wed, 5 Aug 2015 22:35:45 +0200

Hello,

I've tried to sign a commit following
https://git-scm.com/book/tr/v2/Git-Tools-Signing-Your-Work however,
this is what happened:

    % git commit -a -S -m "signed commit testing"
    gpg: échec de la signature : Opération annulée
    gpg: signing failed: Opération annulée
    error: gpg n'a pas pu signer les données
    fatal: échec de l'écriture de l'objet commit

sorry for the locale, "annulée" means cancelled and the last two
lines mean:

    error: gpg could not sign data
    fatal: failure to write the commit object

However, when I tried later, nothing specific happened and the commit
was done just as if I did not add the -S option:

    % git commit -a -S -m "signed commit test"
    [master 739cdd3] signed commit test
    1 file changed, 5 deletions(-)

Commit:
https://github.com/hugoroy/.emacs.d/commit/b8e5b72def0c5fcc760c84d6ecd2b95b9727ae62

I notice in the git-scm.com manual that they use GnuPG version 1. I
use GnuPG 2.1.6 with libgcrypt 1.6.3.

Let me know if you need more information or any pointer to help me
debug this more in depth.

thanks,
Hugo

-- 
Hugo Roy – Free Software Foundation Europe https://fsfe.org/about/roy
 
Please use cryptography for email: see https://emailselfdefense.fsf.org/en/
Merci d’utiliser la cryptographie pour l’email : voir https://emailselfdefense.fsf.org/fr/